# 32/64bit spec-file
#
%define name	jpegoptim
%define version	1.4.1
%define release	 %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Utility to optimize jpeg files
Source0:	http://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.xz
License:	GPL
Group:		Graphics
URL:		http://www.cc.jyu.fi/~tjko/projects.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libjpeg-devel
Requires:	glibc >= 2.16
Requires:	libstdc++6 >= 4.7.2

%description
Provides lossless optimization (based on optimizing the Huffman tables)
and "lossy" optimization based on setting maximum quality factor.

%prep
%setup -q
%build

%configure2_5x

%make

%install

%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README COPYING
%{_bindir}/jpegoptim
%{_mandir}/man1/jpegoptim.1*



%changelog
* Thu Sep 25 2014 gseaman <galen.seaman at comcast.net> 1.4.1-1gseaman2014
- 1.4.1

* Tue Jun 25 2013 Texstar <texstar at gmail.com> 1.3.0-1pclos2013
- 1.3.09

* Sat Mar 09 2013 gseaman <galen.seaman at comcast.net> 1.2.5-1gseaman2013
- 1.2.5

* Mon Mar 28 2011 Texstar <texstar at gmail.com> 1.2.3-2pclos2011
- convert source to tar.xz as discussed on the forum and mailing list
- change specfile name to pclos-jpegoptim.spec
- use configure2_5x
- fix previous changelog
- add requires for new glibc

* Mon Mar 21 2011 Galen Seaman <gseaman2186@comcast.net> 1.2.3-1pclos2011
- Build for PCLinuxOS (dependency for trimage)


